%define realname extractor

%define major 3
%define common_major 1
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	1.6
%define subrel	1
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://www.gnu.org/software/libextractor/
Source0:	http://ftp.gnu.org/gnu/libextractor/%{name}-%{version}.tar.gz
Patch0:		7cc63b001ceaf81143795321379c835486d0c92e.patch
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	libgsf-devel
BuildRequires:	libexiv-devel
BuildRequires:	librpm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libarchive-devel
BuildRequires:	libmagic-devel
BuildRequires:	tidy-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 0.11.93

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	extract
Summary:	Show meta-data from files of arbitrary type
Group:		File tools
Conflicts:	%{_lib}extractor1 < 0.5.19a-2
Obsoletes:	libextractor < 0.6.2-6
Provides:	libextractor = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n extract
libextractor is a library used to extract meta-data from files of arbitrary
type.

This package provides the command-line extrcation tool.

%package	common
Summary:	Common files for libextractor
Group:		System/Libraries
Conflicts:	libextractor < 0.6.2-6

%description	common
This package provides common files needed by the libextractor library.

%package -n	%{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Conflicts:	%{mklibname -d extractor 1} < 0.5.19a-2
Requires:	%{name}-common >= %{version}-%{release}

%description -n	%{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n	%{libcommon}
Common function library of libextractor.

%package -n	%{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}
Obsoletes:	%mklibname -d extractor 1
Conflicts:	libextractor < 0.6.2-6

%description -n	%{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags} -std=gnu11" CXXFLAGS="%{optflags} -std=gnu11"
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-exiv2 \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %{name}

%post common
%_install_info libextractor

%preun common
%_remove_install_info libextractor

%files -n extract
%{_bindir}/extract
%{_mandir}/man1/extract.*

%files common -f %{name}.lang
%{_infodir}/libextractor.info.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}%{major}

%files -n %{libcommon}
%{_libdir}/%{name}_common.so.%{common_major}*

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_libdir}/%{name}_common.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/libextractor.*


%changelog
* Thu Dec 28 2017 luigiwalser <luigiwalser> 1.6-1.1.mga5
+ Revision: 1186228
- add patch from fedora to fix CVE-2017-17440

  + daviddavid <daviddavid>
    - new version: 1.6, fixes CVE-2017-15266 and CVE-2017-15267 (mga#21856)
    - update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 739284
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-3.mga5
+ Revision: 726707
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 681450
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.3-1.mga5
+ Revision: 589077
- new version 1.3

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 531295
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 1.1-1.mga4
+ Revision: 462830
- new version 1.1

* Fri Jun 28 2013 fwang <fwang> 1.0.0-6.mga4
+ Revision: 447745
- rebuild for new libarchive

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 357078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.0.0-4.mga3
+ Revision: 332289
- rebuild for new rpm

* Wed Sep 26 2012 fwang <fwang> 1.0.0-3.mga3
+ Revision: 297911
- more correct br

* Wed Sep 26 2012 fwang <fwang> 1.0.0-2.mga3
+ Revision: 297907
- drop gif req
- add more br

* Wed Sep 26 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297901
- update file list
- update file list
- new version 1.0.0

* Wed Aug 22 2012 fwang <fwang> 0.6.3-6.mga3
+ Revision: 283022
- rebuild for new poppler

* Mon Jun 18 2012 fwang <fwang> 0.6.3-5.mga3
+ Revision: 261602
- rebuild for new exiv2

* Wed Jun 13 2012 fwang <fwang> 0.6.3-4.mga3
+ Revision: 260232
- rebuild for new poppler

* Tue Jun 12 2012 fwang <fwang> 0.6.3-3.mga3
+ Revision: 259930
- rebuild for updated rpm

* Sun Jun 10 2012 tv <tv> 0.6.3-2.mga3
+ Revision: 259369
- rebuild for new rpm-4.10.0

* Sun Jan 15 2012 fwang <fwang> 0.6.3-1.mga2
+ Revision: 196396
- new version 0.6.3

* Fri Oct 28 2011 fwang <fwang> 0.6.2-10.mga2
+ Revision: 158954
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 0.6.2-9.mga2
+ Revision: 153409
- rebuild for new exiv2

* Tue Sep 27 2011 ovitters <ovitters> 0.6.2-8.mga2
+ Revision: 149406
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 0.6.2-7.mga2
+ Revision: 146394
- drop .la files

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri May 13 2011 anssi <anssi> 0.6.2-6.mga1
+ Revision: 97789
- drop rpm5.patch to restore compatibility with rpm.org
- drop binary rpm libextractor, moving its contents as follows:
  o extract binary, its manpage, and info doc to a new package "extract"
  o development man page to devel package
  o libextractor localization to a new libextractor-common package
- remove unneeded buildrequire on glib-devel
- add a buildrequire on poppler-devel
- imported package libextractor


* Sun Jan 09 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-5mdv2011.0
+ Revision: 630786
- rpm5 rebuild for contrib/release

* Wed Dec 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-4mdv2011.0
+ Revision: 616386
- ditch scriptlets for ancient releases
- add rpm5 support (P0)

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.6.2-3mdv2011.0
+ Revision: 609592
- rebuild for new exiv2

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2011.0
+ Revision: 565567
- rebuild for new exiv2

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 565309
- new version 0.6.2

* Mon Mar 15 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 519123
- new version 0.6.1

* Sat Feb 20 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 508836
- update to new version 0.6.0

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.23-2mdv2010.1
+ Revision: 484250
- Rebuild for new libexiv2

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.23-1mdv2010.0
+ Revision: 392681
- Update to new version 0.5.23
- Re-enable rpm plug-in: it supports up to librpm 4.7 now
- Enable new libexiv2 plug-in
- Run autoreconf to fix linking of rpm plug-in

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 359875
- add libextractor_common0 subpackage
- add major to plugins directory to satisfy library policy
- do not require tool binary in library package
- disable rpm support, does not build with rpm-4.6

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 0.5.22
    - pass -lgthread-2.0 to the compiler

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 299605
- update to new version 0.5.21
- add buildrequires on librpm-devel
- enable exiv2 support

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 0.5.20c-1mdv2009.0
+ Revision: 234447
- update to new version 0.5.20c

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20b-1mdv2009.0
+ Revision: 209099
- new version

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20a-1mdv2009.0
+ Revision: 195342
- new version
- add missing build requires on: libvorbis-devel libmpeg2dec-devel libflac-devel glib-devel gtk+2-devel libgsf-devel
- nuke rpath
- fix descriptions
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 0.5.19a-2mdv2008.1
+ Revision: 159628
- fix package layout
- update to new version 0.5.19a

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.5.18a-3mdv2008.1
+ Revision: 109222
- rebuild for new lzma

* Mon Nov 05 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-2mdv2008.1
+ Revision: 106009
- fix files list (#30265)

* Tue Aug 14 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-1mdv2008.0
+ Revision: 63434
- new version

* Fri May 04 2007 Lenny Cartier <lenny@mandriva.org> 0.5.18-1mdv2008.0
+ Revision: 22556
- Buildrequires libltdl-devel (Bug #29425)


* Thu Mar 15 2007 Lenny Cartier <lenny@mandriva.com> 0.5.18-1mdv2007.1
+ Revision: 144127
- Update to 0.5.18

* Thu Jan 04 2007 Lenny Cartier <lenny@mandriva.com> 0.5.17a-1mdv2007.1
+ Revision: 104053
- Update to 0.5.17a

* Mon Nov 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.16-1mdv2007.1
+ Revision: 83683
- Update to 0.5.15
- Update to 0.5.15
- Import libextractor

* Fri May 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.14-1mdk
- 0.5.14

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 0.5.13-1mdk
- 0.5.13

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 0.5.12-1mdk
- 0.5.12

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.11-1mdk
- 0.5.11

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.5.9-1mdk
- 0.5.9

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.5.8-1mdk
- 0.5.8

* Mon Nov 14 2005 Lenny Cartier <lenny@mandriva.com> 0.5.7-1mdk
- 0.5.7

* Fri Oct 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-3mdk
- Fix BuildRequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6a-2mdk
- Rebuild for new mozilla

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 0.5.6a-1mdk
- 0.5.6a

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdk
- rebuilt against new Magick libs

* Sat Aug 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdk
- rebuilt against latest libMagick

* Sat Apr 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.11-1mdk
- 0.3.11

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk
- 0.3.10

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.9-1mdk
- 0.3.9

* Sat Oct 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Sat Sep 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.7-1mdk
- 0.3.7

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Sat Apr 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- 0.2.7

